import { LegendBase } from "./LegendBase";
import { LegendBaseView } from "./LegendBaseView";
import { Type } from "igniteui-react-core/ES5/type";
import { UIElement } from "igniteui-react-core/ES5/UIElement";
import { ILegendSeries } from "igniteui-react-core/ES5/ILegendSeries";
export declare class FinancialLegend extends LegendBase {
    aj(): LegendBaseView;
    private readonly a9;
    constructor();
    addChildInOrder(a: UIElement, b: ILegendSeries): void;
    static $t: Type;
}
export declare class FinancialLegendView extends LegendBaseView {
    constructor(a: FinancialLegend);
    static $t: Type;
}
